Summary:	A GNU archiving program
Name:		cpio
Version:	2.13
Release:	3%{?dist}

License:	GPLv3+
URL:		https://www.gnu.org/software/cpio/
Source0:	https://ftp.gnu.org/gnu/cpio/cpio-%{version}.tar.bz2


# Revert fix for CVE-2015-1197, upstream commit 45b0ee2b4
Patch0001:	cpio-2.13-revert-CVE-2015-1197-fix.patch
# Minor fix src/global.c: Remove superfluous declaration of program_name
Patch0002:	cpio-2.13-multiple-definition.patch
# Fix CVE-2021-38185: https://nvd.nist.gov/vuln/detail/CVE-2021-38185
Patch0003:	cpio-2.13-fix-CVE-2021-38185-0001.patch
Patch0004:	cpio-2.13-fix-CVE-2021-38185-0002.patch
Patch0005:	cpio-2.13-fix-CVE-2021-38185-0003.patch

Provides: 	bundled(gnulib) bundled(paxutils) /bin/cpio
BuildRequires:	gcc make texinfo autoconf automake gettext gettext-devel rmt

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fi
%configure --with-rmt="%{_sysconfdir}/rmt"
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libexecdir}/rmt
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/*.info*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-2
- Rebuilt for OpenCloudOS Stream 23

* Sun Apr 24 2022 Songqiao Tao <joeytao@tencent.com> - 2.13-1
- initial build
